Bug 261343 - Can't Sort Any Columns In Service Manager
Summary: Can't Sort Any Columns In Service Manager
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_kded (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Daniel Molkentin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-27 03:36 UTC by KDE BugReports
Modified: 2011-07-22 18:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description KDE BugReports 2010-12-27 03:36:51 UTC
Version:           unspecified (using KDE 4.5.2) 
OS:                Linux

When you open the service manager there is no way to sort by any of the columns.
The most useful ones being Status (Is it Running?) and Service (Find the name I am looking for)

Reproducible: Always

Steps to Reproduce:
Open the Service Manager.
Double-Click on a column heading.
Right-click on a column heading

Actual Results:  
Nothing

Expected Results:  
Columns are sorted when you double-click on the column heading.
A context menu would come up when right-clicking on the heading saying something like:
"Sort Ascending"
"Sort Descending"
Comment 1 Christoph Feck 2011-07-22 18:56:41 UTC
Git commit ec6d14dd7541fd7fec84a7909fd7a5dc4517ec4c by Christoph Feck.
Committed on 22/07/2011 at 20:57.
Pushed by cfeck into branch 'master'.

Enable sorting

FIXED-IN: 4.8.0
FEATURE: 261343

M  +4    -0    kcontrol/kded/kcmkded.cpp

http://commits.kde.org/kde-runtime/ec6d14dd7541fd7fec84a7909fd7a5dc4517ec4c